%define name		infobus
%define version		1.2
%define cvs_version	1_2
%define doc_version	12
%define release		2jpp
%define section		non-free

Name:			%{name}
Version:		%{version}
Release:		%{release}
Epoch:			0
Summary:		Enables dynamic exchange of data between JavaBeans component architecture
License:		Sun Binary Code License
Url:			http://java.sun.com/products/javabeans/%{name}/
Group:			Development/Libraries/Java
Vendor:			JPackage Project
Distribution:		JPackage
Source0:		ib%{doc_version}.zip
NoSource:		0
BuildArch:		noarch
BuildRoot:		%{_tmppath}/%{name}-%{version}-buildroot

%description
InfoBus enables dynamic exchange of data between JavaBeansTM component
architecture by defining a small number of interfaces between
cooperating Beans and specifying the protocol for use of those
interfaces. The protocols are based on a notion of an information bus.
All components which implement these interfaces can plug into the bus.
As a member of the bus any component can exchange data with any other
component in a structured way, including arrays, tables, and database
rowsets.

%package demo
Summary:		Demo for %{name}
Requires:		%{name} = %{epoch}:%{version}-%{release}
Group:			Development/Libraries/Java

%description demo
Demonstrations and samples for %{name}.

%package javadoc
Summary:		Javadoc for %{name}
Group:			Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -c
export CLASSPATH=$PWD/%{name}.jar
%javac *.java

cat >> dbaccess.mf << EOF
Name: RowsetSource.class
Java-Bean: True

Name: SimpleConsumer.class
Java-Bean: True
EOF

%jar cfm dbaccess.jar dbaccess.mf RowsetAccessHelper.class RowsetSource.class SimpleDataItem.class SimpleTable.class
%jar cfm moneybean.jar moneyman.mf SimpleConsumerBean.class SimpleProducerBean.class MonetaryDataItem.class

%build

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 %{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for file in *.jar; do ln -sf $file `basename $file -%{version}.jar`.jar;done)

# data
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr dbaccess.jar moneybean.jar MoneyBeans.html ReadRowset.html coffee6.gif $RPM_BUILD_ROOT%{_datadir}/%{name}

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr doc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc LICENSE.HTML ReadMe.html
%{_javadir}/*

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%changelog
* Sun Mar 08 2003 David Walluck <david@anti-microsoft.org> 0:1.2-2jpp
- update for JPackage 1.5

* Sun Mar 08 2003 David Walluck <david@anti-microsoft.org> 1.2-1jpp
- 1.2
